Subject: bug#29192: 26.0.90; flymake-warning's default color might be inappropriate

From: Dmitry Gutov <[email-masked]>
Date: Tue, 7 Nov 2017 16:49:11 +0200

I've never seen this discussed, and this might be a subjective opinion.

But AFAICT, the flymake-warnline face, previously, used DarkOrange (now
it's an obsolete alias). Flycheck also uses this color for warnings.

Flymake's own fringe indicators (for warning) also use an orange color
by default, inheriting it from the `warning' face through
`compilation-warning'.

So I think that flymake-warning should use it as well.

The current blue is pretty and all, but it conveys an optimistic mood,
not something I would associate with a warning.

+++

In GNU Emacs 26.0.90 (build 5, x86_64-pc-linux-gnu, GTK+ Version 3.22.11)
  of 2017-11-07 built on zappa
Repository revision: ca2d94ba61dee678f85bfc7299d167e7219e6d8f
Windowing system distributor 'The X.Org Foundation', version 11.0.11903000
System Description:	Ubuntu 17.04